Bug 1262887 - Different root home dir for old/new chroot
Different root home dir for old/new chroot
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: mock (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Suchý
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-14 10:43 EDT by Vít Ondruch
Modified: 2016-06-02 10:46 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-06-02 10:46:43 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vít Ondruch 2015-09-14 10:43:15 EDT
Description of problem:

$ mock -r ruby -q --new-chroot --chroot 'realpath ~'
Spawning container b379de02cf7f49cdac8bf5d3ac4a95d0 on /var/lib/mock/ruby/root.
Press ^] three times within 1s to kill container.
/root
Container b379de02cf7f49cdac8bf5d3ac4a95d0 exited successfully.

$ mock -r ruby -q --old-chroot --chroot 'realpath ~'
/builddir

Version-Release number of selected component (if applicable):
$ rpm -q mock
mock-1.2.12-1.fc22.noarch


How reproducible:
Always

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Jan Kurik 2016-02-24 08:44:58 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 2 Miroslav Suchý 2016-06-02 10:46:43 EDT
I am not sure when and how this was fixed, but it is working correctly now.

Note You need to log in before you can comment on or make changes to this bug.